Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class UrlResourceFinder

    java.lang.Object
      org.apache.axis2.classloader.UrlResourceFinder

All Implemented Interfaces:
  ResourceFinder

    public class UrlResourceFinder

extends java.lang.Object
implements ResourceFinder

Version:
  $Rev: 704201 $ $Date: 2008-10-14 00:22:25 +0530 (Tue, 14 Oct 2008) $

Constructor Summary
`UrlResourceFinder()`
`UrlResourceFinder(java.net.URL[] urls)`

Method Summary
`void` | `addUrl(java.net.URL url)`
`protected void` | `addUrls(java.util.List<java.net.URL> urls)` Adds a list of urls to the end of this class loader.
`protected void` | `addUrls(java.net.URL[] urls)` Adds an array of urls to the end of this class loader.
`protected java.io.File` | `cacheUrl(java.net.URL url)`
`protected ResourceLocation` | `createResourceLocation(java.net.URL codeSource, java.io.File cacheFile)`
`void` | `destroy()`
`java.net.URL` | `findResource(java.lang.String resourceName)` Find the resource by name and return URL of it if found.
`java.util.Enumeration` | `findResources(java.lang.String resourceName)` Find all resources with given name and return enumeration of their URLs.
`ResourceHandle` | `getResource(java.lang.String resourceName)` Get the resource by name and, if found, open connection to it and return the `handle` of it.
`java.net.URL[]` | `getUrls()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlResourceFinder

    public UrlResourceFinder()

### UrlResourceFinder

    public UrlResourceFinder(java.net.URL[] urls)

Method Detail

### destroy

    public void destroy()

### getResource

    public ResourceHandle getResource(java.lang.String resourceName)

  Description copied from interface: `ResourceFinder`
  Get the resource by name and, if found, open connection to it and return the `handle` of it.

  Specified by:
    `getResource` in interface `ResourceFinder`
  Parameters:
    `resourceName` - the resource name
  Returns:
    resource handle or null if resource was not found

### findResource

    public java.net.URL findResource(java.lang.String resourceName)

  Description copied from interface: `ResourceFinder`
  Find the resource by name and return URL of it if found.

  Specified by:
    `findResource` in interface `ResourceFinder`
  Parameters:
    `resourceName` - the resource name
  Returns:
    resource URL or null if resource was not found

### findResources

    public java.util.Enumeration findResources(java.lang.String resourceName)

  Description copied from interface: `ResourceFinder`
  Find all resources with given name and return enumeration of their URLs.

  Specified by:
    `findResources` in interface `ResourceFinder`
  Parameters:
    `resourceName` - the resource name
  Returns:
    enumeration of resource URLs (possibly empty).

### addUrl

    public void addUrl(java.net.URL url)

### getUrls

    public java.net.URL[] getUrls()

### addUrls

    protected void addUrls(java.net.URL[] urls)

  Adds an array of urls to the end of this class loader.

  Parameters:
    `urls` - the URLs to add

### addUrls

    protected void addUrls(java.util.List<java.net.URL> urls)

  Adds a list of urls to the end of this class loader.

  Parameters:
    `urls` - the URLs to add

### cacheUrl

    protected java.io.File cacheUrl(java.net.URL url)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### createResourceLocation

    protected ResourceLocation createResourceLocation(java.net.URL codeSource,
                                                      java.io.File cacheFile)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.